// Copyright 2011 Google Inc. All Rights Reserved.

/**
 * @fileoverview Parses a google search result page looking for findy tidbits.
 * @author jonwall@google.com (Jon Wall)
 */

/**
 * Namespace for this file.
 */
var ipadFindyInSearch = {};

/**
 * @return {string} Event ID.
 * @private
 */
ipadFindyInSearch.getEventId_ = function() {
  // Try to get the eventId that's defined in window.google, if possible. That
  // variable gets changed by JESR, so it's more reliable than getting it from
  // the head.
  return (window.google ? window.google['kEI'] : null) ||
      SearchResults.getEventId(document);
};

/**
 * Parse this search results page for findy tidbits. Called from GMA app.
 * @return {string} JSON representation of findy results (Findy_Result).
 */
ipadFindyInSearch.getFindyTidbits = function() {
  return JSON.stringify(SearchResultsParser.getResults(
      document, document.location.href, ipadFindyInSearch.getEventId_()));
};
